Revoke a WireGuard key
POST
/v1/organisations/{id}/environments/{envId}/vpn/keys/{keyId}/revokeOperation settings.vpnRevoke · since 2026-11-05 · stable
Needs a session withwritescopeAnswers200 OK
Path parameters
- idstring (uuid)required
- The organisation id.
- envIdstring (uuid)required
- The environment id.
- keyIdstringrequired
- The key id (vpk_...).
Body
None. Send no body, or an empty JSON object.
Errors
Every error is { "error", "message", "detail"? } (Errors and references). Besides the codes any route can answer.
POST/v1/organisations/{id}/environments/{envId}/vpn/keys/{keyId}/revoke
curl -X POST "https://api.rykloud.com/v1/organisations/$ORG_ID/environments/$ENV_ID/vpn/keys/$KEY_ID/revoke" \
-H "Authorization: Bearer $RYKLOUD_TOKEN"